API Reference
Voices
LiveList available voices and retrieve metadata for a specific voice.
List voices
GET /v1/voices
Returns all available voices. Optionally filter by language using the language query parameter.
Query parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
language | string | No | Filter by language code (e.g. sw). |
Example
bash
curl https://sauti.finiflowlabs.com/v1/voices?language=sw \
-H "xi-api-key: YOUR_KEY"json
{
"voices": [
{
"voice_id": "sauti-swahili-v1",
"name": "Sauti Swahili",
"language_code": "sw",
"locale": "sw-KE",
"gender": "female",
"description": "Natural Swahili voice, fine-tuned on WAXAL swa_tts dataset.",
"status": "active"
}
]
}Get voice
GET /v1/voices/{voice_id}
Returns metadata for a single voice.
Example
bash
curl https://sauti.finiflowlabs.com/v1/voices/sauti-swahili-v1 \
-H "xi-api-key: YOUR_KEY"json
{
"voice_id": "sauti-swahili-v1",
"name": "Sauti Swahili",
"language_code": "sw",
"locale": "sw-KE",
"gender": "female",
"description": "Natural Swahili voice, fine-tuned on WAXAL swa_tts dataset.",
"status": "active"
}VoiceInfo schema
| Field | Type | Description |
|---|---|---|
voice_id | string | Unique identifier for the voice |
name | string | Human-readable voice name |
language_code | string | ISO 639-1 language code |
locale | string | Locale identifier (e.g. sw-KE) |
gender | string | Speaker gender |
description | string | Brief description of the voice |
status | string | Voice availability status (active or inactive) |